Provide feedback for a specific setup step
curl --request POST \
--url https://api.beamstudio.ai/agent-setup/{agentId}/{setupStep}/feedback \
--header 'Content-Type: application/json' \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>' \
--data '
{
"query": "The agent should also handle refund requests in addition to general inquiries.",
"contextFileIds": [
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
]
}
'import requests
url = "https://api.beamstudio.ai/agent-setup/{agentId}/{setupStep}/feedback"
payload = {
"query": "The agent should also handle refund requests in addition to general inquiries.",
"contextFileIds": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890", "b2c3d4e5-f6a7-8901-bcde-f12345678901"]
}
headers = {
"current-workspace-id": "<current-workspace-id>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'current-workspace-id': '<current-workspace-id>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'The agent should also handle refund requests in addition to general inquiries.',
contextFileIds: ['a1b2c3d4-e5f6-7890-abcd-ef1234567890', 'b2c3d4e5-f6a7-8901-bcde-f12345678901']
})
};
fetch('https://api.beamstudio.ai/agent-setup/{agentId}/{setupStep}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agent Setup
Provide feedback for a specific setup step
POST
/
agent-setup
/
{agentId}
/
{setupStep}
/
feedback
Provide feedback for a specific setup step
Authorizations
Headers
Path Parameters
Available options:
SOP_GENERATION, GRAPH_GENERATION, TOOL_MATCHING, TOOL_GENERATION, CONNECT_INTEGRATIONS Body
application/json
The feedback or query text to submit. This can be user feedback on the current step, questions about the agent configuration, or instructions for modifications.
Example:
"The agent should also handle refund requests in addition to general inquiries."
Array of context file UUIDs to include with the feedback. These files provide additional reference materials or examples to support the feedback.
Example:
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
]
Response
201 - undefined
⌘I